<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array();




class TypeString implements ValueType
{
    public function Serialize($value)
    {
        return (string) $value;
    }
    public function Unserialize($_d957779c7daa148ba3e831d162d15722)
    {
        return $_d957779c7daa148ba3e831d162d15722;
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        return (string) $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}